#
# spec file for package rdist (Version 6.1.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rdist
License:        BSD, Other License(s), see package
Group:          Productivity/Networking/Other
Autoreqprov:    on
Version:        6.1.5
Release:        814.2
URL:            http://www.MagniComp.com/rdist/rdist.shtml
Summary:        "Remote File Distribution" Utility
Source:         rdist-%{version}.tar.gz
Patch:          rdist-%{version}.dif
Patch1:         rdist-%{version}-bison.diff
Patch2:         rdist-%{version}-stdarg.dif
Patch3:         rdist-%{version}-proto.diff
Patch4:         rdist-6.1.5-cleanup.patch
Patch6:         rdist-6.1.5-lfs.patch
Patch7:         rdist-6.1.5-links.patch
Patch8:         rdist-6.1.5-linux.patch
Patch9:         rdist-6.1.5-maxargs.patch
Patch10:        rdist-6.1.5-mkstemp.patch
Patch11:        rdist-6.1.5-oldpath.patch
Patch12:        rdist-6.1.5-ssh.patch
Patch13:        rdist-6.1.5-gcc4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This utility makes it possible to distribute files to several computers
within a network. If possible, file attributes such as: owner, group,
mode, and mtime are retained. It is even possible to overwrite running
binaries.



Authors:
--------
    Michael A. Cooper <Michael.Cooper@Sun.Com>

%debug_package
%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13

%build
    make OPT="$RPM_OPT_FLAGS"

%install
mkdir -p  $RPM_BUILD_ROOT/{usr/bin,%{_mandir}/{man1,man8}}
make MAN_DIR=$RPM_BUILD_ROOT/%{_mandir} BIN_DIR=$RPM_BUILD_ROOT/usr/bin install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/rdist
/usr/bin/rdistd
%doc %{_mandir}/man1/rdist.1.gz
%doc %{_mandir}/man8/rdistd.8.gz
%doc Copyright README

%changelog -n rdist
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Sep 28 2005 - meissner@suse.de
- use RPM_OPT_FLAGS
* Mon Apr 18 2005 - mcihar@suse.cz
- fix for current gcc
- rediff patches
* Wed Feb 16 2005 - mcihar@suse.cz
- merge with redhat patches
* Tue May 04 2004 - tcrhak@suse.cz
- fixed function prototypes
- do not return random data in functions
* Fri Jan 24 2003 - ro@suse.de
- use stdarg
* Tue Nov 12 2002 - tcrhak@suse.cz
- fixed for new bison
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jun 20 2000 - schwab@suse.de
- Fix OS detection.
- Fix redeclaration of system functions.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Thu May 11 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
- added %%doc Copyright README
* Sun Mar 05 2000 - olh@suse.de
- move manpages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - florian@suse.de
- update to 6.1.5
* Thu Oct 01 1998 - ro@suse.de
- update to 6.1.4 which fixed include paths.h
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 6.1.3.
